export function start(http, port, ctx) {
  const server = http.createServer(function (req, res) {
    res.writeHead(200);
    res.end(JSON.stringify({ version: 'exampleindex' }))
  })

  return new Promise(function(res, rej) {
    server.listen(port || 4000, '0.0.0.0', function(err) {
      if (err) {
        return rej(err)
      }
      ctx.log.event.info(`Server is listening on ${port} serving exampleindex`)
      ctx.log.info(`Server is listening on ${port} serving exampleindex`)
      res()
    })
  })
}